/* $Id: conf.h,v 1.24 2005/11/16 13:48:40 rav Exp $ */

/* Intro {{{
 * ----------------------------------------------------------------
 * DConnect Daemon
 *
 *	 #(@) Copyright (c) 2002, DConnect development team
 *	 #(@) Homepage: http://www.dc.ds.pg.gda.pl/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
 * MA 02139, USA.
 *
 * ----------------------------------------------------------------
 * }}} */

/* read a line from FP and return the pointer to allocated storage */
char *read_whole_line(FILE *fp, int line_style);

/* parse config file */
char parse_config(int start, config_t *conf);

/* parse text file and play to public chat window */
void playfile(userrec_t *usr,char *msgfile);

/* verify login and password {{{ */
char validlogin(userrec_t *usr,char *login,char *pass);

/* validhost() - verify host access */
char validhost(userrec_t *usr,char *access_file,int deeper);

/* nick_allowed() - verify nick access */
char nick_allowed(userrec_t *usr,char *nick);

/* penalties_read() - reading penalties file */
char penalties_read();

/* penalties_write() - writing penalties file */
char penalties_write();

/* VIM Settings {{{
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * soft-stop-width: 4
 * c indent on
 * End:
 * vim600: sw=4 ts=4 sts=4 cindent fdm=marker
 * vim<600: sw=4 ts=4
 * }}} */
