
/* Intro {{{
 * ----------------------------------------------------------------
 * DConnect Daemon
 *
 *	 #(@) Copyright (c) 2002, DConnect development team
 *	 #(@) Homepage: http://www.dc.ds.pg.gda.pl/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
 * MA 02139, USA.
 *
 * ----------------------------------------------------------------
 * }}} */

/* visibility const for fmthln {{{*/
#define VIS_CHAT	1 // fmthln line is visible only in chat
#define VIS_CONS	2 // fmthln line is visible only in console
#define VIS_ALL	3 // fmthln line is visible in chat and in console

/* }}} */

/* chat and console commands {{{ */
#define	CMD_HELP		0
#define	CMD_PASSWORD		1
#define	CMD_UPTIME		2
#define	CMD_REDIRECT		3
#define	CMD_REDIRECT_ALL	4
#define	CMD_VERSION		5
#define	CMD_LSPUNISHED	6
#define	CMD_PUNISH		7
#define	CMD_AMNESTY		8
#define	CMD_MSG			9
#define	CMD_MSG_ALL		10
#define	CMD_AMNESTY_ALL	11
#define CMD_CONF		12
#define CMD_REHASH		13
#define CMD_QUIT		14
#define CMD_STAT		15
#define CMD_WHOIS		16
#define CMD_WHO			17
#define CMD_USERS		18
#define CMD_KICK		19
#define CMD_JQ			20
#define CMD_BOOST		21
#define	CMD_MMSG		22
#define	CMD_MMSG_ALL	23
#define	CMD_PUBCHAT		24
#define	CMD_WHOIP		25
#define	CMD_RULES		26
#define	CMD_MSG_PRV		27
#define	CMD_MSG_PRV_ALL	28

/* }}} */

/* run chat or console command */
void command( userrec_t *usr,char *line);

/* display info about changed penalty; kicks baned */
void penalmsg( Tpenalty *penrec);
