
/* Intro {{{
 * ----------------------------------------------------------------
 * DConnect Daemon
 *
 *	 #(@) Copyright (c) 2002, DConnect development team
 *	 #(@) Homepage: http://www.dc.ds.pg.gda.pl/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
 * MA 02139, USA.
 *
 * ----------------------------------------------------------------
 * }}} */

/* PENALTIES / user flags {{{ */
#define PENALTY_BANNED		1
#define PENALTY_NODL		2
#define PENALTY_NONE		0
#define PENALTY_NOPBLCHAT	4
#define PENALTY_NOPRVCHAT	8
#define PENALTY_NOSEARCH	16
/* end of PENALTIES / user flags }}} */

#define SRCH_IP	 1
#define SRCH_NICK	-1
#define SRCH_BOTH	0

/*checks if the user->ip is listed on >penalties< list and changes user->penalty
 to fit those from the list */
void user_penalty(userrec_t *usr);
/**/
int penalties_ip2itemnumber(char *ip);
/**/
void addpenalty(Tpenalty *penrec);
/**/
void delpenalty(int no);
/**/
void user_set_penalty(char *ip,char *nick, char *op,int penalty, unsigned long start_date,long duration, char *rsn, int only_memory);
/**/
int user_tst_penalty(userrec_t *usr, int penalty);
/**/
long user_exp_penalty(Tpenalty *penalty); 

/* VIM Settings {{{
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * soft-stop-width: 4
 * c indent on
 * End:
 * vim600: sw=4 ts=4 sts=4 cindent fdm=marker
 * vim<600: sw=4 ts=4
 * }}} */

